all: acumulador televisor testEsfuerzo monitor

acumulador : acumulador.c acumulador.h
	gcc -w -o acumulador acumulador.c

televisor : televisor.c televisor.h
	gcc -w -o televisor televisor.c

testEsfuerzo : testEsfuerzo.c testEsfuerzo.h
	gcc -w -lpthread -o testEsfuerzo testEsfuerzo.c

monitor : monitor.c monitor.h
	gcc -w -o monitor monitor.c

clean :
	rm -rf acumulador televisor testEsfuerzo monitor

